## org.eclipse.datatools.connectivity
Interface IConnection

All Known Subinterfaces:
  IOfflineConnection

All Known Implementing Classes:
  DriverConnectionBase, VersionProviderConnection

    public interface IConnection

The base interface for working with connections created from connection profiles.

Author:
  rcernich Created on Jan 15, 2004

Method Summary
`void` `close()` Closes the underlying native connection object.
`java.lang.Throwable` `getConnectException()` Return exception in connection
`IConnectionProfile` `getConnectionProfile()`
`java.lang.Object` `getRawConnection()` Returns the native object representing the connection to the server.

Method Detail

### getRawConnection

    java.lang.Object getRawConnection()

  Returns the native object representing the connection to the server. For example, a java.sql.Connection object for a JDBC connection.

  Returns:
    an object representing the native connection to the server.

### close

    void close()

  Closes the underlying native connection object. This causes other users of this connection to be notified of this connection's closure.

### getConnectException

    java.lang.Throwable getConnectException()

  Return exception in connection

  Returns:
    exception thrown when connecting to the server

### getConnectionProfile

    IConnectionProfile getConnectionProfile()

  Returns:
    the connection profile used to create this connection.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.